Subject: File types -> Mime types

From: Roger Southwick <[email-masked]>
Date: Mon, 16 Sep 1996 17:58:11 -0700

I realize that pine uses the mime.types file to decide on what MIME type an attachment
should be, but I'd really like to see if there is the ability to use (something like)
the "file" comand (including the "magic" file) to drive MIME types.
  
It would probably be more bullet proof than simple file extensions, esp. under Unix.

As an example, I attached a simple text file, and it came out as
"application/octet-stream" instead of "text/plain" because (a) I didn't have an
extension and (b) I didn't have any extention in the mime.types file for "text/plain".
While that's OK behaviour, and I know that "a/o-s" is fine, it would be
nice to use a "file" mechanism, which reads a few bytes, and MIME types accordingly.
Of course, it's not idiot proof (like on html files), so perhaps using the mime.types
file first, then use "file"?

Has anyone done this (or thought about this as a future enhancement) before I launch
into doing the code?

Please reply via E-mail.  I don't get much chance to read news :-(.

-- 
    -Roger      ([email-masked])